MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026342Open CASCADE[OCCT] OCCT:Data Exchangepublic2015-06-15 12:412015-10-23 20:51
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026342: No materials are read from STEP
DescriptionIt seems that DRAW command ReadStep does not read materials if they are present in STEP file. At least, I could not get materials reading couple of files containing those. See Steps to Reproduce and related issues.
Steps To Reproducepload XDE
ReadStep D [locate_data_file dm1-oc-214.stp]
XDumpDF D
TagsNo tags attached.
Test case numberbugs step bug26342
Attached Files

- Relationships
related to 0023251closedgka Open CASCADE Crash during reading materials from STEP file for case when name of material is not set. 
related to 0025910closedbugmaster Community The material with 0-density causes errors during writing STEP files 

-  Notes
(0042408)
git (administrator)
2015-06-24 11:53

Branch CR26342 has been created by ink.

SHA-1: 26d50586939d3fc7f6e74fb8a2af41f5d925c681


Detailed log of new commits:

Author: ink
Date: Wed Jun 24 11:53:19 2015 +0300

    0026342: No materials are read from STEP
    
    Changed number of arguments for descriptive_representation_item (for the case when description is absent).
(0042410)
gka (developer)
2015-06-24 12:20

Branch CR26342 is ready to be tested
(0042565)
mkv (tester)
2015-06-29 18:36

Dear BugMaster,
Branch CR26342 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 26d50586939d3fc7f6e74fb8a2af41f5d925c681

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26342-master-occt-64/Debian70-64/bugs/step/bug26342.html [^]
http://occt-tests/CR26342-master-occt-64/Windows-64-VC10/bugs/step/bug26342.html [^]
bugs step bug26342: OK

Testing on Linux:
occt component :
Total MEMORY difference: 97517088 / 98277302 [-0.77%]
Total CPU difference: 18274.699999999986 / 18540.74000000014 [-1.43%]
products component :
Total MEMORY difference: 24208573 / 24306506 [-0.40%]
Total CPU difference: 7964.390000000035 / 7856.900000000035 [+1.37%]

Testing on Windows:
occt component :
Total MEMORY difference: 56649156 / 56830295 [-0.32%]
Total CPU difference: 17380.10261019894 / 17635.257845798857 [-1.45%]
products component :
Total MEMORY difference: 15546069 / 15550884 [-0.03%]
Total CPU difference: 6341.830652499972 / 6414.932721099968 [-1.14%]

There are no differences in images found by testdiff.
(0042566)
git (administrator)
2015-06-29 18:36

Branch CR26342 has been updated by mkv.

SHA-1: 5ddbffb07f82143d2772efb04ee9a218169982bf


Detailed log of new commits:

Author: mkv
Date: Mon Jun 29 18:36:03 2015 +0300

    Test case for issue CR26342

(0042567)
mkv (tester)
2015-06-29 18:37

Dear ink,
could you please review following test case
bugs step bug26342
(0042620)
ink (developer)
2015-07-01 08:03

Ok
(0042626)
mkv (tester)
2015-07-01 10:06

Dear BugMaster,
Branch CR26342 is TESTED.
(0044213)
git (administrator)
2015-08-14 10:57

Branch CR26342 has been deleted by inv.

SHA-1: 5ddbffb07f82143d2772efb04ee9a218169982bf

- Related Changesets
occt: master 59e34991
Timestamp: 2015-07-02 11:30:42
Author: ink
Committer: bugmaster
Details ] Diff ]
0026342: No materials are read from STEP

Changed number of arguments for descriptive_representation_item (for the case when description is absent).

Test case for issue CR26342
mod - src/RWStepRepr/RWStepRepr_RWDescriptiveRepresentationItem.cxx Diff ] File ]
add - tests/bugs/step/bug26342 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-06-15 12:41 abv New Issue
2015-06-15 12:41 abv Assigned To => gka
2015-06-15 12:42 abv Relationship added related to 0023251
2015-06-15 12:42 abv Relationship added related to 0025910
2015-06-22 11:53 abv Assigned To gka => ink
2015-06-22 11:53 abv Status new => assigned
2015-06-24 11:53 git Note Added: 0042408
2015-06-24 11:54 ink Assigned To ink => gka
2015-06-24 11:54 ink Status assigned => resolved
2015-06-24 12:20 gka Note Added: 0042410
2015-06-24 12:20 gka Assigned To gka => bugmaster
2015-06-24 12:20 gka Status resolved => reviewed
2015-06-24 16:54 mkv Assigned To bugmaster => mkv
2015-06-29 18:36 mkv Note Added: 0042565
2015-06-29 18:36 git Note Added: 0042566
2015-06-29 18:37 mkv Note Added: 0042567
2015-06-29 18:37 mkv Assigned To mkv => ink
2015-06-29 18:37 mkv Status reviewed => feedback
2015-06-29 18:37 mkv Test case number => bugs step bug26342
2015-07-01 08:03 ink Note Added: 0042620
2015-07-01 08:04 ink Assigned To ink => mkv
2015-07-01 10:06 mkv Note Added: 0042626
2015-07-01 10:06 mkv Assigned To mkv => bugmaster
2015-07-01 10:06 mkv Status feedback => tested
2015-07-03 15:27 bugmaster Changeset attached => occt master 59e34991
2015-07-03 15:27 bugmaster Status tested => verified
2015-07-03 15:27 bugmaster Resolution open => fixed
2015-07-03 15:31 bugmaster Target Version 7.1.0 => 7.0.0
2015-08-14 10:57 git Note Added: 0044213
2015-08-26 11:08 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:51 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker